/*dvd2xvid

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

# include <qstring.h>

# ifndef DATEN_H
# define DATEN_H

class Daten
{
    public:
        QString zerlegtIndirname,           // Pafd vom Quellmatreial aber aufberiete fuer Console
        zerlegtOutfilename,                 // Pafd von der Zieldatei aber aufberiete fuer Console
        outfilename,                        // Pfad und Name an dem die Fertige Datei hin soll
        indirname,                          // Pfad an dem das Quellmaterial liegt
        audioopt,                           // Mit welchem Adiocodec decodiert werden soll
        bitrateopt,                         // Mit welcher Bitrate decodiert werden soll (beinflusst die Qualitaet)
        titelnummer,                        // Welche Titelnummer der DVD decodiert werden sollen
        alang,                              // mit Welcher Sprache decodiert werden soll
        untertitelnummer,                   // Mit Welchen Untertitel decodiert werden soll
        startzeit,                          // Ab wann er Decodieren soll
        endzeit,                            // Bis wann er Decodiern soll
        vhqWert,                            // Der Wert fuer dei Bewegungsabschaetzung
        asid,                               // Der Wert der fuer den Audiostream gebraucht wird
        ssid;                               // Der Wert der fuer den Untertitelstream gebraucht wir

        bool boolcartoon,                   // Ob mit der Cartoon-Optimierung gearbeitet werden soll
        bool2pass,                          // Ob  der 2-Pass Modus aktiviert werden soll
        boolautoaspect,                     // Ob der Bildausschint  automatisch zurechtgeschnitten wird 
        boolaktiv;                          // Wenn auf "true" dann wird dieser Datensatz encodiert

        // Konstruktor
        Daten(void);

        // Alle werte auf Standard setzen
        void ruecksetzen (void);

        // Ob dieser Datensatz Encodiert werden soll
        bool aktiv (void);

        // Datensatz aktivieren mit "true" oder mit "false" ausschalten 
        void aktivieren (bool setzen); 

        // Alle Datensaetze auf nicht aktive setzen
        void aktivRuecksetzen(void);
};

# endif
