/*dvd2xvid

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

# ifndef EINSTELLUNGEN_H
# define EINSTELLUNGEN_H

# include <string>
# include <cstdlib>                              // Fuer system()
# include <fstream>                              // Fuer die Dateiverarbeitung
# include <stdlib.h>

# include <qstring.h>

# include <iostream>

using namespace std;

class Einstellungen
{
    public:

        QString indirname,                       // Pfad an dem das Quellmaterial liegt
                outfilename,                     // Pfad und Name an dem die Fertige Datei hin soll
                audioopt,                        // Mit welchem Adiocodec decodiert werden soll
                bitrateopt,                      // Mit welcher Bitrate decodiert werden soll (beinflusst die Qualitaet)
                vhqWert,                         // Der Wert fuer die Bewegungsabschaetzung
                confpfad,                        // Der Pfad zum ".dvd2xvid" Ordner
                mountpfad,                       // Der Ort wo die DVD's gemountet werden
                sprache,                         // Welche Sprache eingestellt ist
                version;                         // Beinhaltet die Versionsnummer von dvd2xvid

        string temp;                             // Temporaere Ablage der eingelesenen Zeile

        bool boolcartoon,                        // Ob mit der Cartoon-Optimierung gearbeitet werden soll
             bool2pass,                          // Ob  der 2-Pass Modus aktiviert werden soll
             boolautoaspect,                     // Ob der Bildausschint  automatisch zurechtgeschnitten wird 
             boolshutdown,                       // Ob der Computer nach dem render Heruntergfahren werden soll
             booleject,                          // Ob nach den Decodieren die Schublade geoefnnet werden soll
             boolunmount,                        // Ob nach den Decodieren die DVD mit unmount wieder entbunden werden soll
             boolzusammenfuegen,                 // Ob die erzeugten Datein zusammen gefuegt werden sollen
             boolpart,                           // Ob die part Datein beim zusammenfuegen nachher geloescht werden sollen
             boolausgeben;                       // Waehrend des Encodierens Meldungen an der Standardausgabe ausgeben

        int debuglevel;

        /*           Methoden            */

        // einstellungen laden aus der "conf" Datei
        void laden(QString pfad,QString versionsnummer);

        // setzt alle Werte auf Standart zurueck
        void ruecksetzen (void);

        // Speichert die Einstellungen in der Confdatei ab
        void speichern (void);
};

# endif
