/*dvd2xvid

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

# ifndef STATUSZEILE_H
# define STATUSZEILE_H

# include <iostream>

# include <qobject.h>
# include <qstring.h>
# include <qlabel.h>

# ifndef __STDC_LIMIT_MACROS
# define __STDC_LIMIT_MACROS
# endif

using namespace std;

class Statuszeile : public QObject
{
    Q_OBJECT

    private:
        QLabel *sekunden,                         // Der Namen der Zeile, sprich was encodiert wird
               *dauer,                           // Wie lange der Fim ca. noch dauert
               *groesse,                         // Wie Gross der Film ca. wird
               *pass;                            // Ob 1 oder 2 durchgang

        QString temp;                            // Fuer Temporaere String arbeiten

        QWidget *eltern;                         // Darin wird der Zeiger zum Elternwidget abgelegt

        QFrame *vlinie1,                          // Abgrenzungslinien zur bessern Darstellung
               *vlinie2,                          // Abgrenzungslinien zur bessern Darstellung
               *vlinie3,                          // Abgrenzungslinien zur bessern Darstellung
               *vlinie4,                          // Abgrenzungslinien zur bessern Darstellung
               *hlinie1,                          // Abgrenzungslinien zur bessern Darstellung
               *hlinie2;                          // Abgrenzungslinien zur bessern Darstellung


        int posver,                              // Position Vertical des Widgets
            poshor,                              // Position Horizontal des Widgets
            hoehe,                               // Hoehe der Zeile
            zeile;                               // Die wievielte Zeile das ist

    public:
        Statuszeile(QWidget *parent);

    public slots:
        // Erstellt die Zeile
        void makeZeile(int poshor,int posver, int zeile);

        // Blendet das Widget aus
        void hideZeile (void);

        // Blendet das widget wieder ein
        void showZeile(void);

        // Setzt die Werte fuer die Statuszeile
        void statuswerte (QString status);

        // Ob gerade in 2 Pass decodiert wird
        void setpass (bool pass2);
};

# endif
