/*dvd2xvid

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

# ifndef AUFRUF_CPP
# define AUFRUF_CPP

# include "Aufruf.h"

void Aufruf::run()
{
    // Temporaere int Varibale fuer das zeichenweise auslesen
    int c;

    // Fileobject Pointer
    FILE *ptr;

    // Oeffnet das Pipefileobjekt nur zum lesen
    ptr = popen(befehl,"r");

    while ((c = fgetc(ptr)) != EOF)
    {
        if(ausgeben==true)
        {
            // Laesst alles an der Standard Ausgabe ausgeben
            printf("%c",c);
        }

         // Kontrolle ob die Zeile zu ende ist (93="]")
        if(!(c==93))
        {
            // Das zeichen im temporaeren String zusammen fuegen
            ausgabe+=c;
        }
        else
        {
            // Die Ausgabe kompletieren
            ausgabe+="]";

            // Damit nur jede volle Sekunde gespeichert wird
            temp=ausgabe.at(10);

            // Kontrolle ob die Sekunde ganz ist
            if(temp=="0")
            {
                // Die Ausgabe abspeichern fuer meldungen()
                meldung=ausgabe;
            }

            // Ausgabe der Meldungen auf einem Standardwert setzen
            ausgabe="";
        }
    }
}

void Aufruf::setAufruf(QString Befehl,bool standardausgabe)
{
    // Den Befehl abspeicheren
    befehl=Befehl;

    // Ob Ausgegeben werden soll abspeicheren
    ausgeben=standardausgabe;

    // Eventuell abgelegte Meldungen loeschen
    meldung="";
}

QString Aufruf::meldungen (void)
{
    //Kontrolle ob das der Richtige String ist
    if((meldung.mid(1,4)=="Pos:"))
    {
        return meldung;
    }

    return "";
}
# endif
