/*dvd2xvid

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

# include "Daten.h"

# ifndef DATEN_CPP
# define DATEN_CPP

/*+++++++++++++++++++++++++++++++++++++++
+          Allgemeine Methoden          +
+++++++++++++++++++++++++++++++++++++++*/


void Daten::aktivieren (bool setzen)
{
    // speichert ob decidert werden soll
    boolaktiv=setzen;
}

void Daten::ruecksetzen (void)
{
    zerlegtOutfilename = "";
    zerlegtIndirname   = "";
    untertitelnummer   = "";
    titelnummer        = "";
    bitrateopt         = "";
    startzeit          = "00:00:00";
    audioopt           = "";
    endzeit            = "00:00:00";
    alang              = "";
    vhqWert            = "";
    asid               = "";
    ssid               = "";

    boolautoaspect      = false;
    boolcartoon         = false;
    boolaktiv           = false;
    bool2pass           = false;

}

bool Daten::aktiv (void)
{
    // gibt zurueck ob Encodiert werden soll
    return boolaktiv;
}

Daten::Daten(void)
{
    //Am Anfang alle DAten auf Standard setzen
    ruecksetzen();
}

void Daten::aktivRuecksetzen(void)
{
    // Wieder die aktiv abfrage auf "false" setzen
    boolaktiv           = false;

    // Damit alle Zeitwerte wieder auf Null Stehen
    startzeit          = "00:00:00";
    endzeit            = "00:00:00";
}
# endif
