/*dvd2xvid

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

# include "Neostring.h"

# ifndef NEOSTRING_CPP
# define NEOSTRING_CPP

void Neostring::string_zerlegen(string& zerlegen)
{
    unsigned int zaehler;

    // Solange Schliefe durchlaufen bis Ende des uebergeben Wortes ereicht ist
    for(zaehler=0;zaehler<zerlegen.length();zaehler++)
    {
        // Wenn der momentane Buchstabe eine " " oder () sind dann Stelle einen \ davor
        if(zerlegen.at(zaehler)==' '||(zerlegen.at(zaehler)==')')||(zerlegen.at(zaehler)=='('))
        {
            // an dieser Position wird ein \ eingefuegt
            zerlegen.insert(zaehler,"\\");
            ++zaehler;
        }
    }
}

void Neostring::string_zerlegen(QString &zerlegen)
{
    unsigned int zaehler;

    // Solange Schliefe durchlaufen bis Ende des uebergeben Wortes ereicht ist
    for(zaehler=0;zaehler<zerlegen.length();zaehler++)
    {
        // Wenn der momentane Buchstabe eine " " oder () sind dann Stelle einen \ davor
        if(zerlegen.at(zaehler)==' '||(zerlegen.at(zaehler)==')')||(zerlegen.at(zaehler)=='('))
        {
            // an dieser Position wird ein \ eingefuegt
            zerlegen.insert(zaehler,"\\");
            ++zaehler;
        }
    }
}

string Neostring::homepfad(void)
{
    // Damit wir der Pafdname erarbeitet
    string pfad;

    // Per "set" wird ueber "grep" der Homepfad in eine temp Datei geschrieben
    system("echo $HOME > /tmp/homepath");

    // Oeffnet die temp Datei mit den Homepfad
    ifstream eingabedatei("/tmp/homepath");

    // Ueberpruefen ob oeffnen erfolgreich
    if (!eingabedatei)
    {
        cout<<" Fehler beim ermitteln des Homepath!"<<endl;
        return "/tmp/";
    }
    else
    {
        // liest die erste Zeile mitden Homepath aus der temp Datei
        getline(eingabedatei,pfad);

        // Schliste den Eingabedateistream
        eingabedatei.close();

        // loescht noch die temp datei
        system("rm /tmp/homepath");

        if(pfad=="")
        {
            cout<<" Fehler beim ermitteln des Homepath!"<<endl;

            // Den tmp wird dem Aufrufer zurueck gegeben das es Problem beim auslenen gegeben hat
            return "/tmp/";
        }
        else
        {
            //Zur Rueckgabe noch einen / hinzufuegen , fertig
            pfad+="/";

            // Den Korrekten Homepfad an den Aufrufer zurueckgeben
            return pfad;
        }
    }
}

bool Neostring::zeitrechnen (QString& start,QString& end,QString& korrekt)
{
    // Herausschneiden der startzeitvariablen
    startstunden =start.left(2);
    startsekunden=start.right(2);
    startminuten =start.mid(3,2);

    // Herausschneiden der Endzeitvariablen
    endstunden =end.left(2);
    endsekunden=end.right(2);
    endminuten =end.mid(3,2);

    // Den Korrekturwert in die Varibale einlsesn
    intkorrektur=korrekt.toInt();

    // errechne der Stunden
    intstartstunden = startstunden.toInt();
    intendstunden   =   endstunden.toInt();

    // errechne der Minuten
    intstartminuten = startminuten.toInt();
    intendminuten   =   endminuten.toInt();

    // errechne der Sekunden
    intstartsekunden = startsekunden.toInt();
    intendsekunden   =   endsekunden.toInt();

    // Satrtzeit und Endzeit in sekunden umwandeln
    intstartzeit = ((intstartstunden*3600)+(intstartminuten*60)+intstartsekunden);

    intstartzeit+=intkorrektur;

    intendzeit   = ((intendstunden  *3600)+(intendminuten  *60)+intendsekunden);

    // Wenn endzeit groesser Null ist dann fuege noch den korrektur wert zu
    if(0<intendzeit)
    {
        intendzeit+=intkorrektur;
    }

    // Kontrolliere ob ueberhaupt ein Rechnen noetig ist
    zumrechnen=intstartzeit<intendzeit;

    if(!intkorrektur==0)
    {
        // Stunden wieder in das richtige Format rechnen
        if(3600<=intstartzeit)
        {
            //Die Stunden ausrechnen
            intstartstunden=intstartzeit/3600;

            // Den Wert Abrunden
            intstartstunden=floor(intstartstunden);
            startstunden.setNum(intstartstunden,'f',0);
        }
        else
        {
            startstunden="00";
            intstartstunden=0;
        }

        // Minuten ausrechnen
        intstartminuten=minuten(intstartzeit,intstartstunden);

        // Minuten wieder in das richtige Format rechnen
        if(intstartminuten<60)
        {
            //  Den Wert abrunden
            intstartminuten = floor(intstartminuten);
            startminuten.setNum(intstartminuten,'f',0);
        }
        else
        {
            startminuten="00";
            intstartminuten=0;
        }

        // Sekunden ausrechnen
        intstartsekunden=sekunden(intstartzeit,intstartstunden,intstartminuten);

        //Sekunden wieder in das richtige Format bringen
        if(0<intstartsekunden)
        {
            startsekunden.setNum(intstartsekunden,'f',0);
        }
        else
        {
            startsekunden="00";
        }

        // Kontrollieren ob zweistellig und wenn noetig eine null davor setzen
        ergaenzen(startstunden);
        ergaenzen(startminuten);
        ergaenzen(startsekunden);

        // endzeit zuweisen
        cout<<startstunden<<" : "<<startminuten<<" : "<<startsekunden<<endl;
        start=startstunden+":"+startminuten+":"+startsekunden;

        if(end=="00:00:00")
        {
            intstartzeit=0;
        }
    }

    // Differenz ausrechnen der Endzeit
    if(zumrechnen==true)
    {
        intendzeit-=intstartzeit;

        // Stunden wieder in das richtige Format rechnen
        if(3600<=intendzeit)
        {
            //Die Stunden ausrechnen
            intendstunden=intendzeit/3600;

            // Den Wert Abrunden
            intendstunden=floor(intendstunden);

            endstunden.setNum(intendstunden,'f',0);
        }
        else
        {
            endstunden="00";
            intendstunden=0;
        }

        // Minuten ausrechnen
        intendminuten=minuten(intendzeit,intendstunden);

        // Minuten wieder in das richtige Format rechnen
        if(intendminuten<60)
        {
            //  Den Wert abrunden
            intendminuten = floor(intendminuten);
            endminuten.setNum(intendminuten,'f',0);
        }
        else
        {
            endminuten="00";
            intendminuten=0;
        }

        // Sekunden ausrechnen
        intendsekunden=sekunden(intendzeit,intendstunden,intendminuten);

        //Sekunden wieder in das richtige Format bringen
        if(0<intendsekunden)
        {
            endsekunden.setNum(intendsekunden,'f',0);
        }
        else
        {
            endsekunden="00";
        }

        // Kontrollieren ob zweistellig und wenn noetig eine null davor setzen
        ergaenzen(endstunden);
        ergaenzen(endminuten);
        ergaenzen(endsekunden);

        // endzeit zuweisen
        end=endstunden+":"+endminuten+":"+endsekunden;
    }
    else
    {
        // Wenn es nichts zu rechnen giebt dann sol der Endwert auf "00:00:00" gesetzt werden
        end="00:00:00";
    }

    // Wenn es nur Nuller herauskommen dann gleich ganz weg lassen (wegen korrektur ab und zu noetig)
    if(end=="00:00:00")
    {
        return false;
    }

    return zumrechnen;
}

float Neostring::minuten(float zeit,float stunden)
{
    // Kontrolle ob der Wert ueber 3600 liegt also ob Stunden beruecksichtigt werden koennen
    if(0<zeit)
    {
        intminuten=(zeit-(3600*stunden))/60;
    }
    else
    {
        // Kontrolle ob der Wert ueber 60 liegt dann soll sind Minuten vorhanden
        if(60<=zeit)
        {
            intminuten=zeit/60;
        }
        else
        {
            intminuten=0;
        }
    }

    return intminuten;
}

float Neostring::sekunden(float zeit, float stunden ,float minuten)
{
    // Kontrolle ob der Wert ueber 3600 liegt also ob Stunden beruecksichtigt werden koennen
    if(0<zeit)
    {
        intsekunden=(zeit-(3600*stunden)-(60*minuten));
    }
    else
    {
        // Kontrolle obder Wert ueber 60 liegt dann soll sind Minuten vorhanden
        if(0<minuten)
        {
            intsekunden=zeit-(60*minuten);
        }
        else
        {
            intsekunden=zeit;
        }
    }

    return intsekunden;
}

void Neostring::ergaenzen(QString& qstring)
{
    if(qstring.length()==1)
    {
        qstring.insert(0,"0");
    }
}

# endif
