/*dvd2xvid

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

# include "Path.h"


# ifndef PATH_CPP
# define PATH_CPP
void Path::string_zerlegen(string &zerlegen)
{
    // temporaere Zaehlerzahl fuer die For-Schleife
    unsigned int zaehler;

    // Solange Schliefe durchlaufen bis Ende des uebergeben Wortes ereicht ist
    for(zaehler=0;zaehler<zerlegen.length();zaehler++)
    {
        // Wenn der momentane Buchstabe eine " " oder () sind dann Stelle einen \ davor
        if(zerlegen.at(zaehler)==' '||(zerlegen.at(zaehler)==')')||(zerlegen.at(zaehler)=='('))
        {
            // an dieser Position wird ein \ eingefuegt
            zerlegen.insert(zaehler,"\\");
            ++zaehler;
        }
    }
}

string Path::homepath(void)
{
    // Per "set" wird ueber "grep" der Homepfad in eine temp Datei geschrieben
    system("set | grep -i home=/home > /tmp/homepath");

    // Oeffnet die temp Datei mit den Homepfad
    ifstream eingabedatei("/tmp/homepath");

    // Ueberpruefen ob oeffnen erfolgreich
    if (!eingabedatei)
    {
        cout<<" Fehler beim ermitteln des Homepath!"<<endl;
        return "Fehler";
    }
    else
    {
        // liest die erste Zeile mitden Homepath aus der temp Datei
        getline(eingabedatei,path);

        // loescht das erste Wort mit den Pfadnamen
        path.erase(0,5);

        // fuegt noch einen "/" dazu damit die Angabe komplett ist
        path=path+"/";

        // ueberprueft noch ob der Pfadname leerstellen und () enthaellt und entfernt dies gegeben falls
        string_zerlegen(path);

        // loescht noch die temp datei
        system("rm /tmp/homepath");

        // Der ermittelte Pfad wird dem Aufrufer zurueck gegeben
        return path;
    }
}

# endif
